apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "talenteo-config-server.fullname" . }}
  labels:
    {{- include "talenteo-config-server.labels" . | nindent 4 }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      {{- include "talenteo-config-server.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        {{- include "talenteo-config-server.selectorLabels" . | nindent 8 }}
    spec:
    {{- with .Values.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
    {{- end }}
      serviceAccountName: {{ include "talenteo-config-server.serviceAccountName" . }}
      securityContext:
        {{- toYaml .Values.podSecurityContext | nindent 8 }}
      containers:
        - name: {{ .Chart.Name }}
          securityContext:
            {{- toYaml .Values.securityContext | nindent 12 }}
          image: "{{ .Values.image.registry }}/{{ .Values.image.repository }}:{{ .Values.image.imageTag }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          env:
          - name: "spring.cloud.config.uri"
            value: {{ .Values.springCloudConfigUri }}
          - name: "spring.profiles.active"
            value: {{ .Values.springProfilesActive }}
          - name: "datasource.password"
            value: {{ .Values.postgresqlPassword }}
          ports:
            - name: http
              containerPort: {{ .Values.service.port }}
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /actuator/info
              port: http
          readinessProbe:
            httpGet:
              path: /actuator/info
              port: http
          resources:
            {{- toYaml .Values.resources | nindent 12 }}
      {{- with .Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
    {{- with .Values.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
    {{- end }}
    {{- with .Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
    {{- end }}
